// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassIAudioCapture.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-cAudio/cAudio/include\IAudioCapture.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumAudioFormats.h"


// original function: bool initialize(const char* deviceName, unsigned int frequency, AudioFormats format, unsigned int internalBufferSize);
void cIAc_initialize_c(struct hg3dclass_struct *classptr_c, char* deviceName_c, unsigned int frequency_c, enum EnumAudioFormats format_c, unsigned int internalBufferSize_c, int * result_c);
// original function: bool isReady();
void cIAc_isReady_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void updateCaptureBuffer(bool force);
void cIAc_updateCaptureBuffer_c(struct hg3dclass_struct *classptr_c, int force_c);
// original function: void shutdown();
void cIAc_shutdown_c(struct hg3dclass_struct *classptr_c);
// original function: bool isUpdateThreadRunning();
void cIAc_isUpdateThreadRunning_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: const char* getDeviceName();
void cIAc_getDeviceName_c(struct hg3dclass_struct *classptr_c, char* result_c);
// original function: unsigned int getFrequency();
void cIAc_getFrequency_c(struct hg3dclass_struct *classptr_c, unsigned int * result_c);
// original function: AudioFormats getFormat();
void cIAc_getFormat_c(struct hg3dclass_struct *classptr_c, enum EnumAudioFormats * result_c);
// original function: unsigned int getInternalBufferSize();
void cIAc_getInternalBufferSize_c(struct hg3dclass_struct *classptr_c, unsigned int * result_c);
// original function: unsigned int getSampleSize();
void cIAc_getSampleSize_c(struct hg3dclass_struct *classptr_c, unsigned int * result_c);
// original function: bool setDevice(const char* deviceName);
void cIAc_setDevice_c(struct hg3dclass_struct *classptr_c, char* deviceName_c, int * result_c);
// original function: bool setFrequency(unsigned int frequency);
void cIAc_setFrequency_c(struct hg3dclass_struct *classptr_c, unsigned int frequency_c, int * result_c);
// original function: bool setFormat(AudioFormats format);
void cIAc_setFormat_c(struct hg3dclass_struct *classptr_c, enum EnumAudioFormats format_c, int * result_c);
// original function: bool setInternalBufferSize(unsigned int internalBufferSize);
void cIAc_setInternalBufferSize_c(struct hg3dclass_struct *classptr_c, unsigned int internalBufferSize_c, int * result_c);
// original function: bool beginCapture();
void cIAc_beginCapture_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: void stopCapture();
void cIAc_stopCapture_c(struct hg3dclass_struct *classptr_c);
// original function: unsigned int getCurrentCapturedAudioSize();
void cIAc_getCurrentCapturedAudioSize_c(struct hg3dclass_struct *classptr_c, unsigned int * result_c);
// original function: void unRegisterAllEventHandlers();
void cIAc_unRegisterAllEventHandlers_c(struct hg3dclass_struct *classptr_c);
