// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassIAudioManager.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-cAudio/cAudio/include\IAudioManager.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeVector3.h"
#include "EnumAudioFormats.h"


// original function: bool initialize(const char* deviceName, int outputFrequency, int eaxEffectSlots);
void cIAm_initialize_c(struct hg3dclass_struct *classptr_c, char* deviceName_c, int outputFrequency_c, int eaxEffectSlots_c, int * result_c);
// original function: void shutDown();
void cIAm_shutDown_c(struct hg3dclass_struct *classptr_c);
// original function: void update();
void cIAm_update_c(struct hg3dclass_struct *classptr_c);
// original function: bool isUpdateThreadRunning();
void cIAm_isUpdateThreadRunning_c(struct hg3dclass_struct *classptr_c, int * result_c);
// original function: IAudioSource* getSoundByName(const char* name);
void cIAm_getSoundByName_c(struct hg3dclass_struct *classptr_c, char* name_c, struct hg3dclass_struct * result_c);
// original function: void releaseAllSources();
void cIAm_releaseAllSources_c(struct hg3dclass_struct *classptr_c);
// original function: void release(IAudioSource* source);
void cIAm_release_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * source_c);
// original function: IAudioSource* play2D(const char* filename, bool playLooped, bool startPaused);
void cIAm_play2D_c(struct hg3dclass_struct *classptr_c, char* filename_c, int playLooped_c, int startPaused_c, struct hg3dclass_struct * result_c);
// original function: IAudioSource* play3D(const char* filename, cVector3 position, bool playLooped, bool startPaused);
void cIAm_play3D_c(struct hg3dclass_struct *classptr_c, char* filename_c, struct vector3_struct * position_c, int playLooped_c, int startPaused_c, struct hg3dclass_struct * result_c);
// original function: void setMasterVolume(float vol);
void cIAm_setMasterVolume_c(struct hg3dclass_struct *classptr_c, float vol_c);
// original function: float getMasterVolume();
void cIAm_getMasterVolume_c(struct hg3dclass_struct *classptr_c, float * result_c);
// original function: void stopAllSounds();
void cIAm_stopAllSounds_c(struct hg3dclass_struct *classptr_c);
// original function: IAudioSource* create(const char* name, const char* filename, bool stream);
void cIAm_create_c(struct hg3dclass_struct *classptr_c, char* name_c, char* filename_c, int stream_c, struct hg3dclass_struct * result_c);
// original function: IAudioSource* createFromMemory(const char* name, const char* data, size_t length, const char* extension);
void cIAm_createFromMemory_c(struct hg3dclass_struct *classptr_c, char* name_c, char* data_c, int length_c, char* extension_c, struct hg3dclass_struct * result_c);
// original function: IAudioSource* createFromRaw(const char* name, const char* data, size_t length, unsigned int frequency, AudioFormats format);
void cIAm_createFromRaw_c(struct hg3dclass_struct *classptr_c, char* name_c, char* data_c, int length_c, unsigned int frequency_c, enum EnumAudioFormats format_c, struct hg3dclass_struct * result_c);
// original function: void unRegisterAudioDecoder(const char* extension);
void cIAm_unRegisterAudioDecoder_c(struct hg3dclass_struct *classptr_c, char* extension_c);
// original function: bool isAudioDecoderRegistered(const char* extension);
void cIAm_isAudioDecoderRegistered_c(struct hg3dclass_struct *classptr_c, char* extension_c, int * result_c);
// original function: void unRegisterAllAudioDecoders();
void cIAm_unRegisterAllAudioDecoders_c(struct hg3dclass_struct *classptr_c);
// original function: void unRegisterDataSource(const char* name);
void cIAm_unRegisterDataSource_c(struct hg3dclass_struct *classptr_c, char* name_c);
// original function: bool isDataSourceRegistered(const char* name);
void cIAm_isDataSourceRegistered_c(struct hg3dclass_struct *classptr_c, char* name_c, int * result_c);
// original function: void unRegisterAllDataSources();
void cIAm_unRegisterAllDataSources_c(struct hg3dclass_struct *classptr_c);
// original function: void unRegisterAllEventHandlers();
void cIAm_unRegisterAllEventHandlers_c(struct hg3dclass_struct *classptr_c);
// original function: IListener* getListener();
void cIAm_getListener_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * result_c);
