// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassIListener.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Dep-cAudio/cAudio/include\IListener.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "TypeVector3.h"


// original function: void setPosition(const cVector3& pos);
void cIL_setPosition_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * pos_c);
// original function: void setDirection(const cVector3& dir);
void cIL_setDirection_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * dir_c);
// original function: void setUpVector(const cVector3& up);
void cIL_setUpVector_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * up_c);
// original function: void setVelocity(const cVector3& vel);
void cIL_setVelocity_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * vel_c);
// original function: void setMasterVolume(const float& volume);
void cIL_setMasterVolume_c(struct hg3dclass_struct *classptr_c, float volume_c);
// original function: void move(const cVector3& pos);
void cIL_move_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * pos_c);
// original function: cVector3 getPosition();
void cIL_getPosition_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: cVector3 getDirection();
void cIL_getDirection_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: cVector3 getUpVector();
void cIL_getUpVector_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: cVector3 getVelocity();
void cIL_getVelocity_c(struct hg3dclass_struct *classptr_c, struct vector3_struct * result_c);
// original function: float getMasterVolume();
void cIL_getMasterVolume_c(struct hg3dclass_struct *classptr_c, float * result_c);
